2

I cannot install anything from the Ubuntu software center (on 13.10). The "Install" button is missing and only the one fore "More information" is there. I suspect it is a problem with the software repository cause I have been messing up with it trying to install OpenOffice but I don't know how to fix it. Any help?

After introducing this commands:

sudo apt-get update
sudo apt-get dist-upgrade

This is what resulted:

sudo apt-get update
[sudo] password for joan: 
Err http://dl.google.com stable InRelease

Err http://dl.google.com stable Release.gpg                                        
  No s'ha pogut resoldre «dl.google.com»
Err http://ppa.launchpad.net saucy InRelease                                       

Err http://extras.ubuntu.com saucy InRelease                                       

Err http://ppa.launchpad.net saucy Release.gpg                                     
  No es pot connectar amb ppa.launchpad.net:http:
Err http://extras.ubuntu.com saucy Release.gpg                                     
  No es pot connectar amb extras.ubuntu.com:http:
Err http://es.archive.ubuntu.com saucy InRelease                                   

Err http://es.archive.ubuntu.com saucy-updates InRelease                           

Err http://es.archive.ubuntu.com saucy-backports InRelease                         

Err http://es.archive.ubuntu.com saucy Release.gpg                                 
  No es pot connectar amb es.archive.ubuntu.com:http: [IP: 2a00:9ac0:c1ca:6::135 80]
Err http://es.archive.ubuntu.com saucy-updates Release.gpg     
  No es pot connectar amb es.archive.ubuntu.com:http: [IP: 2a00:9ac0:c1ca:6::135 80]
Err http://es.archive.ubuntu.com saucy-backports Release.gpg   
  No es pot connectar amb es.archive.ubuntu.com:http: [IP: 2a00:9ac0:c1ca:6::135 80]
Err http://security.ubuntu.com saucy-security InRelease                 

Err http://security.ubuntu.com saucy-security Release.gpg          
  No es pot connectar amb security.ubuntu.com:http: [IP: 2001:67c:1562::15 80]
S'està llegint la llista de paquets… Fet
W: No s'ha pogut obtenir http://es.archive.ubuntu.com/ubuntu/dists/saucy/InRelease  

W: No s'ha pogut obtenir http://es.archive.ubuntu.com/ubuntu/dists/saucy-updates/InRelease  

W: No s'ha pogut obtenir http://es.archive.ubuntu.com/ubuntu/dists/saucy-backports/InRelease  

W: No s'ha pogut obtenir http://security.ubuntu.com/ubuntu/dists/saucy-security/InRelease  

W: No s'ha pogut obtenir http://extras.ubuntu.com/ubuntu/dists/saucy/InRelease  

W: No s'ha pogut obtenir http://dl.google.com/linux/chrome/deb/dists/stable/InRelease  

W: No s'ha pogut obtenir http://ppa.launchpad.net/libreoffice/libreoffice-4-1/ubuntu/dists/saucy/InRelease  

W: No s'ha pogut obtenir http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg  No s'ha pogut resoldre «dl.google.com»

W: No s'ha pogut obtenir http://ppa.launchpad.net/libreoffice/libreoffice-4-1/ubuntu/dists/saucy/Release.gpg  No es pot connectar amb ppa.launchpad.net:http:

W: No s'ha pogut obtenir http://extras.ubuntu.com/ubuntu/dists/saucy/Release.gpg  No es pot connectar amb extras.ubuntu.com:http:

W: No s'ha pogut obtenir http://es.archive.ubuntu.com/ubuntu/dists/saucy/Release.gpg  No es pot connectar amb es.archive.ubuntu.com:http: [IP: 2a00:9ac0:c1ca:6::135 80]

W: No s'ha pogut obtenir http://es.archive.ubuntu.com/ubuntu/dists/saucy-updates/Release.gpg  No es pot connectar amb es.archive.ubuntu.com:http: [IP: 2a00:9ac0:c1ca:6::135 80]

W: No s'ha pogut obtenir http://es.archive.ubuntu.com/ubuntu/dists/saucy-backports/Release.gpg  No es pot connectar amb es.archive.ubuntu.com:http: [IP: 2a00:9ac0:c1ca:6::135 80]

W: No s'ha pogut obtenir http://security.ubuntu.com/ubuntu/dists/saucy-security/Release.gpg  No es pot connectar amb security.ubuntu.com:http: [IP: 2001:67c:1562::15 80]

W: Alguns índex no s'han pogut baixar. S'han descartat, o en el seu lloc s'han emprat els antics.


jsudo apt-get dist-upgrade
S'està llegint la llista de paquets… Fet 
S'està construint l'arbre de dependències       
S'està llegint la informació de l'estat… Fet
S'està calculant l'actualització… Fet
0 actualitzats, 0 nous a instaŀlar, 0 a suprimir i 0 no actualitzats.

And this is the list of repositories:

cat /etc/apt/sources.list
# deb cdrom:[Ubuntu 13.10 _Saucy Salamander_ - Release i386 (20131016.1)]/ saucy main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://es.archive.ubuntu.com/ubuntu/ saucy main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ saucy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://es.archive.ubuntu.com/ubuntu/ saucy-updates main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ saucy-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ saucy universe
deb-src http://es.archive.ubuntu.com/ubuntu/ saucy universe
deb http://es.archive.ubuntu.com/ubuntu/ saucy-updates universe
deb-src http://es.archive.ubuntu.com/ubuntu/ saucy-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://es.archive.ubuntu.com/ubuntu/ saucy multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ saucy multiverse
deb http://es.archive.ubuntu.com/ubuntu/ saucy-updates multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ saucy-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ saucy-backports main restricted universe multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ saucy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu saucy-security main restricted
deb-src http://security.ubuntu.com/ubuntu saucy-security main restricted
deb http://security.ubuntu.com/ubuntu saucy-security universe
deb-src http://security.ubuntu.com/ubuntu saucy-security universe
deb http://security.ubuntu.com/ubuntu saucy-security multiverse
deb-src http://security.ubuntu.com/ubuntu saucy-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu saucy partner
# deb-src http://archive.canonical.com/ubuntu saucy partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu saucy main
deb-src http://extras.ubuntu.com/ubuntu saucy main
  • 2
    Got a screenshot? – Seth Jan 8 '14 at 22:47
  • how do you copy the output from the terminal so that it appears nicely? – Joan Jan 9 '14 at 17:55
  • The es.archive.ubuntu.com mirror seems to be down or unstable. Select another mirrors in your software sources. – Braiam Jan 9 '14 at 17:56
  • @Joan You either indent it by four spaces or select the code/output and click the <$> button in the edit toolbar. – Seth Jan 9 '14 at 18:15
3

Your problem is that the http://es.archive.ubuntu.com/ubuntu/ mirror seems to be unstable for the moment. You can select other mirrors using Software Sources or using this method from the command line:

sudo sed -i 's/es\.archive/archive/g' /etc/apt/sources.list /etc/apt/sources.list.d/*.list
sudo apt-get update

Reopen the Software Center and you now should have the install button enabled.

Once you think that the mirror is backup, you can revert the changes using

sudo sed -i 's/archive/es.archive/g' /etc/apt/sources.list 
0

and another way - change your package server

search "Synaptic Package Manager" on "dash home"
and select following
 setting -> repositories -> ubuntu software
 select new server on "download from"

or see this link >> https://help.ubuntu.com/community/Repositories/Ubuntu

  • Welcome to AskUbuntu! The problem does not appear to be with all of the repositories (when looking at accepted answer). – No Time Sep 10 '14 at 4:09
-1

Try to update your system first. You can do this in the terminal (Ctrl+Alt+T) by typing:

sudo apt-get update
sudo apt-get dist-upgrade

If that doesn't work, then please edit your answer, appending the contents of your /etc/apt/sources.list file and the error messages resulting from the above commands. You can copy the contents of the file by running cat /etc/apt/sources.list in your terminal and then copying and pasting.

  • reason for downvote? It was by following my instructions that OP provided sufficient information for the accepted answer to be possible. – GabrielF Jan 13 '14 at 12:58

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.